Summary: Ceph Reef packages from the CentOS Storage SIG repository
Name: centos-release-ceph-reef
Version: 1.0
Release: 1%{?dist}
License: GPLv2
URL: http://wiki.centos.org/SpecialInterestGroup/Storage
Source0: CentOS-Ceph-Reef.repo
BuildArch: noarch

%if 0%{?centos} >= 8
# $contentdir for altarch support was added with CentOS-8.5
Requires: centos-release >= 8-0.1905.el8
%endif
# This provides the public key to verify the RPMs
Requires: centos-release-storage-common

Provides: centos-release-ceph = 18

%description
yum configuration for Ceph Reef packages from the CentOS Storage SIG.

%install
install -D -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-Ceph-Reef.repo
%if 0%{?centos} < 7
sed -i 's/i\$contentdir/centos/g' %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-Ceph-Reef.repo
%endif

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Ceph-Reef.repo

%changelog
* Fri Aug 4 2023 Kaleb S. KEITHLEY <kkeithle[at]redhat.com> - 1.0-1
- reef

